Skip to content

SSL VPN ​

35 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSslVpnResourceGroupListGETGet SSL VPN resource group list.
getSslVpnResourceListGETGet SSL VPN resource list
getSslVpnUserGroupListGETGet SSL VPN user Group list.
downloadSslVpnCertificateGETDownload SSL VPN certificate. (deprecated)
batchDeleteLockedSslVpnTunnelDELETEBatch delete SSL VPN locked tunnel
getLockedSslVpnTunnuelsGETGet locked SSL VPN tunnel.
createLockedSslVpnTunnuelPOSTCreate locked SSL VPN tunnel
deleteLockedSslVpnTunnelDELETEDelete SSL VPN locked tunnel
modifyLockedSslVpnTunnuelPUTModify locked SSL VPN tunnel
getGridLockedSslVpnServerUserGETGet locked user list for SSL VPN server
createLockedSslVpnUserPOSTCreate SSL VPN locked user
deleteLockedSslVpnUserDELETEDelete SSL VPN locked user
modifyLockedSslVpnUserPUTModify SSL VPN locked user
getRadiusServerInfoGETGet radius server for SSL VPN server
getGridSslVpnServerResourceGroupGETGet resource group list for SSL VPN server
createSslVpnResourceGroupPOSTCreate SSL VPN resource group
deleteSslVpnResourceGroupDELETEDelete SSL VPN resource group
modifySslVpnResourceGroupPUTModify SSL VPN resource group
getGridSslVpnServerResourceGETGet resource list for SSL VPN server
createSslVpnResourcePOSTCreate SSL VPN resource
deleteSslVpnResourceDELETEDelete SSL VPN resource
modifySslVpnResourcePUTModify SSL VPN resource
getSslVpnServerSettingGETGet SSL VPN server setting (deprecated)
modifySslVpnServerSettingPUTModify SSL VPN server setting (deprecated)
batchDeleteSslVpnUserGroupDELETEBatch delete SSL VPN user group
getGridSslVpnServerUserGroupGETGet user group list for SSL VPN server
createSslVpnUserGroupPOSTCreate SSL VPN user group
deleteSslVpnUserGroupDELETEDelete SSL VPN user group
modifySslVpnUserGroupPUTModify SSL VPN user group
getGridSslVpnUserInGroupGETGet SSL VPN user list in group. (deprecated)
getGridSslVpnServerUserGETGet user list for SSL VPN server (deprecated)
createSslVpnUserPOSTCreate SSL VPN user
deleteSslVpnUserDELETEDelete SSL VPN user
modifySslVpnUserPUTModify SSL VPN user
getGridSslVpnUserInGroupV2GETGet SSL VPN user list in group V2.

getSslVpnResourceGroupList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/briefresourcegroups

Get SSL VPN resource group list.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSslVpnResourceGroupList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get SSL VPN resource group list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getSslVpnResourceList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/briefresources

Get SSL VPN resource list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSslVpnResourceList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get SSL VPN resource list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getSslVpnUserGroupList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/briefusergroups

Get SSL VPN user Group list.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSslVpnUserGroupList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get SSL VPN user Group list. This interface has been deprecated. Please use the following interfaces instead: Get SSL VPN user Group list V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

downloadSslVpnCertificate ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/certificate

Deprecated

This operation is deprecated.

Download SSL VPN certificate.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
wanIpquerystringyesWLAN IP
json
// omada_call_operation
{
  "operationId": "downloadSslVpnCertificate",
  "params": {
    "siteId": "<siteId>",
    "wanIp": "<wanIp>"
  }
}
Details, permissions and error codes

Download SSL VPN certificate. Filename is a UTF-8 string encoded by URL Encoder. This interface has been deprecated. Please use the following interfaces instead: Download Open VPN or SSL VPN certificate.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34606 - No gateway in this site.
-34607 - Failed to get the VPN certificate.
-34624 - Failed to get any response from the gateway.
-34685 - It takes about 5 minutes to generate the file, please export it later.

batchDeleteLockedSslVpnTunnel ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels

Batch delete SSL VPN locked tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchSelectSslUserVO

FieldTypeRequiredDescription
idsarray<string>noID list of batch selected SSL VPN users.
searchKeystringnoThe keywords of the searchIt is effected when [selectAll] is 'true'.
selectAllbooleannoIndicates whether to select all SSL VPN users for deletion.The behavior depends on the combination with 'ids': - If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). - If selectAll is true and ids is empty: select all SSL VPN users. - If selectAll is false and ids is not empty: select only the specified SSL VPN users in the ID list.
json
// omada_call_operation
{
  "operationId": "batchDeleteLockedSslVpnTunnel",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete SSL VPN locked tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

getLockedSslVpnTunnuels ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels

Get locked SSL VPN tunnel.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getLockedSslVpnTunnuels",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get locked SSL VPN tunnel.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

createLockedSslVpnTunnuel ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels

Create locked SSL VPN tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnLockCreateAndModifyOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of the SSL VPN lock should be a value as follows: 0:username; 1:IP
usernamestringnoUsername of the SSL VPN lock. It is required when parameter [type] is 0.
ipstringnoIP of the SSL VPN lock. It is required when parameter [type] is 1.
totalLockTimeintegeryesTotal lock time of the SSL VPN lock should be within the range of 1–1080(min).
json
// omada_call_operation
{
  "operationId": "createLockedSslVpnTunnuel",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create locked SSL VPN tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.
-43013 - The number of locks has reached the limit.

deleteLockedSslVpnTunnel ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels/{lockTunnelId}

Delete SSL VPN locked tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
lockTunnelIdpathstringyesLocked tunnel ID
json
// omada_call_operation
{
  "operationId": "deleteLockedSslVpnTunnel",
  "params": {
    "siteId": "<siteId>",
    "lockTunnelId": "<lockTunnelId>"
  }
}
Details, permissions and error codes

Delete SSL VPN locked tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifyLockedSslVpnTunnuel ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels/{lockTunnelId}

Modify locked SSL VPN tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
lockTunnelIdpathstringyeslock Tunnel Id

Request body — application/json (required) — schema SslVpnLockCreateAndModifyOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of the SSL VPN lock should be a value as follows: 0:username; 1:IP
usernamestringnoUsername of the SSL VPN lock. It is required when parameter [type] is 0.
ipstringnoIP of the SSL VPN lock. It is required when parameter [type] is 1.
totalLockTimeintegeryesTotal lock time of the SSL VPN lock should be within the range of 1–1080(min).
json
// omada_call_operation
{
  "operationId": "modifyLockedSslVpnTunnuel",
  "params": {
    "siteId": "<siteId>",
    "lockTunnelId": "<lockTunnelId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify locked SSL VPN tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.

getGridLockedSslVpnServerUser ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users

Get locked user list for SSL VPN server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name.
sorts.userNamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.leftLockTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
json
// omada_call_operation
{
  "operationId": "getGridLockedSslVpnServerUser",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get locked user list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

createLockedSslVpnUser ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users

Create SSL VPN locked user

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnLockConfigOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of the SSL VPN lock should be a value as follows: 0:username; 1:IP
usernamestringnoUsername of the SSL VPN lock. It is required when parameter [type] is 0.
ipstringnoIP of the SSL VPN lock. It is required when parameter [type] is 1.
totalLockTimeintegeryesTotal lock time of the SSL VPN lock should be within the range of 1–1080(min).
json
// omada_call_operation
{
  "operationId": "createLockedSslVpnUser",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create SSL VPN locked user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.
-43013 - The number of locks has reached the limit.

deleteLockedSslVpnUser ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users/{id}

Delete SSL VPN locked user

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesLocked user ID
json
// omada_call_operation
{
  "operationId": "deleteLockedSslVpnUser",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete SSL VPN locked user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifyLockedSslVpnUser ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users/{id}

Modify SSL VPN locked user

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesLocked user ID

Request body — application/json (required) — schema SslVpnLockModifyOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of the SSL VPN lock should be a value as follows: 0:username, 1:IP. It can not be modified.
usernamestringnoUsername of the SSL VPN lock. It is required when parameter [type] is 0.
ipstringnoIP of the SSL VPN lock. It is required when parameter [type] is 1.
totalLockTimeintegeryesTotal lock time of the SSL VPN lock should be within the range of 1–1080(min).
json
// omada_call_operation
{
  "operationId": "modifyLockedSslVpnUser",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSL VPN locked user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.

getRadiusServerInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/radius

Get radius server for SSL VPN server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRadiusServerInfo",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get radius server for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Global Other Setting View Only

getGridSslVpnServerResourceGroup ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups

Get resource group list for SSL VPN server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSslVpnServerResourceGroup",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get resource group list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createSslVpnResourceGroup ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups

Create SSL VPN resource group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnResourceGroupConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesName of the SSL VPN resource group should contain 1 to 20 characters.
resourcesListarray<string>noResources ID list of the SSL VPN resource group
json
// omada_call_operation
{
  "operationId": "createSslVpnResourceGroup",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create SSL VPN tunnel resource group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43005 - The number of resource groups has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

deleteSslVpnResourceGroup ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups/{id}

Delete SSL VPN resource group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesResource group ID
json
// omada_call_operation
{
  "operationId": "deleteSslVpnResourceGroup",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete SSL VPN tunnel resource group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifySslVpnResourceGroup ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups/{id}

Modify SSL VPN resource group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesResource group ID

Request body — application/json (required) — schema SslVpnResourceGroupModifyOpenApiVO

FieldTypeRequiredDescription
resourcesListarray<string>noResources ID list of the SSL VPN resource group. Resource can be created using 'Create SSL VPN resource' interface, and resource ID can be obtained from 'Get resource list for SSL VPN server' interface.
json
// omada_call_operation
{
  "operationId": "modifySslVpnResourceGroup",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSL VPN tunnel resource group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

getGridSslVpnServerResource ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources

Get resource list for SSL VPN server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name.
json
// omada_call_operation
{
  "operationId": "getGridSslVpnServerResource",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get resource list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createSslVpnResource ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources

Create SSL VPN resource

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnResourceConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesName of the SSL VPN resource should contain 1 to 20 characters.
typeintegeryesType of the SSL VPN resource should be a value as follows: 0: IP; 1: domain.
ipstringnoIP of the SSL VPN resource, exists when type is 0.
maskstringnoMask of the SSL VPN resource, exists when type is 0.
domainstringnoDomain of the SSL VPN resource, exists when type is 1.
protocolintegernoProtocol of the SSL VPN resource should be a value as follows: 0:All; 1:TCP; 2:UDP; 3:TCP/UDP; 4:ICMP; 5:Other
srcPortStartintegernoStart source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
srcPortEndintegernoEnd source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
dstPortStartintegernoStart destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
dstPortEndintegernoEnd destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
icmpTypeintegernoICMP type of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255
icmpCodeintegernoICMP code of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255
otherProtocolintegernoOther protocol of the SSL VPN resource. It should be within the range of 1–255.
json
// omada_call_operation
{
  "operationId": "createSslVpnResource",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create SSL VPN tunnel resource.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43004 - The number of resources has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

deleteSslVpnResource ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources/{id}

Delete SSL VPN resource

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesResource ID
json
// omada_call_operation
{
  "operationId": "deleteSslVpnResource",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete SSL VPN tunnel resource.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifySslVpnResource ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources/{id}

Modify SSL VPN resource

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesResource ID

Request body — application/json (required) — schema SslVpnResourceModifyOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of the SSL VPN resource should be a value as follows: 0: IP; 1: domain, and it can not be modified.
ipstringnoIP of the SSL VPN resource, exists when type is 0.
maskstringnoMask of the SSL VPN resource, exists when type is 0.
domainstringnoDomain of the SSL VPN resource, exists when type is 1.
protocolintegernoProtocol of the SSL VPN resource should be a value as follows: 0:All; 1:TCP; 2:UDP; 3:TCP/UDP; 4:ICMP; 5:Other
srcPortStartintegernoStart source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
srcPortEndintegernoEnd source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
dstPortStartintegernoStart destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
dstPortEndintegernoEnd destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535
icmpTypeintegernoICMP type of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255
icmpCodeintegernoICMP code of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255
otherProtocolintegernoOther protocol of the SSL VPN resource. It should be within the range of 1–255
json
// omada_call_operation
{
  "operationId": "modifySslVpnResource",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSL VPN tunnel resource.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

getSslVpnServerSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/setting

Deprecated

This operation is deprecated.

Get SSL VPN server setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSslVpnServerSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get SSL VPN server setting.This interface has been deprecated. Please use the following interfaces instead: Get VPN Server summary list and Get client-to-site VPN server detail info.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

modifySslVpnServerSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/setting

Deprecated

This operation is deprecated.

Modify SSL VPN server setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnServerConfigOpenApiVO

FieldTypeRequiredDescription
statusbooleanyesStatus of the SSL VPN server.
wanPortstringnoWAN port ID of the SSL VPN server. It is required when parameter [status] is true. WAN port ID can be obtained from 'Get internet basic info' interface
ipPoolStartstringnoThe start IP of the IP pool. It is required when parameter [status] is true.
ipPoolEndstringnoThe end IP of the IP pool. It is required when parameter [status] is true.
primaryDnsstringnoPrimary DNS Server of the SSL VPN server. It is required when parameter [status] is true.
secondaryDnsstringnoSecondary DNS Server of the SSL VPN server.
servicePortintegernoService port of the SSL VPN server. Default value is 1194. It is required when parameter [status] is true, and it should be within the range of 1–65535
authTypeintegernoAuthentication type of the SSL VPN server should be a value as follows: 0: local; 1: radius; 2: LDAP. It is required when parameter [status] is true.
radiusSettingRadiusSettingOpenApiVOno(RadiusSettingOpenApiVO not expanded; call omada_get_schema "RadiusSettingOpenApiVO")
LDAPSettingLdapSettingOpenApiVOno(LdapSettingOpenApiVO not expanded; call omada_get_schema "LdapSettingOpenApiVO")
nameLockSettingLockSettingOpenApiVOno(LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO")
ipLockSettingLockSettingOpenApiVOno(LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO")
exitAtIdlebooleannoWhether to exit when idle. It is required when parameter [status] is true.
exitTimeintegernoExit time should be within the range of 5–3600(s). It is required when parameter [exitAtIdle] is true.
totalTrafficbooleannoWhether to proxy all traffic. It is required when parameter [status] is true.
json
// omada_call_operation
{
  "operationId": "modifySslVpnServerSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get SSL VPN server setting. This interface has been deprecated. Please use the following interfaces instead: Create client-to-site VPN server V2 or Modify client-to-site VPN server V2.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
-34032 - Built-in RADIUS server not started.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43010 - The IP addresses in SSL VPN IP pool cannot overlap with other VPN IP pools on the same site.
-43011 - The service port cannot be the same as that of the OpenVPN server.
-43017 - The device does not support configuring RADIUS type.
-43018 - The device does not support configuring LDAP type.

batchDeleteSslVpnUserGroup ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups

Batch delete SSL VPN user group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchSelectSslUserVO

FieldTypeRequiredDescription
idsarray<string>noID list of batch selected SSL VPN users.
searchKeystringnoThe keywords of the searchIt is effected when [selectAll] is 'true'.
selectAllbooleannoIndicates whether to select all SSL VPN users for deletion.The behavior depends on the combination with 'ids': - If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). - If selectAll is true and ids is empty: select all SSL VPN users. - If selectAll is false and ids is not empty: select only the specified SSL VPN users in the ID list.
json
// omada_call_operation
{
  "operationId": "batchDeleteSslVpnUserGroup",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43015 - Failed to delete this group because it is used for RADIUS authentication in SSL VPN server.
-43016 - Failed to delete this group because it is used for LDAP authentication in SSL VPN server.

getGridSslVpnServerUserGroup ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups

Get user group list for SSL VPN server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name.
json
// omada_call_operation
{
  "operationId": "getGridSslVpnServerUserGroup",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get user group list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createSslVpnUserGroup ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups

Create SSL VPN user group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnUserGroupConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesName of the SSL VPN user group should contain 1 to 20 characters.
radiusAttributestringnoAttribute value used for radius authentication. It should contain 1 to 20 characters.
ldapAttributestringnoAttribute value used for LDAP authentication. It should contain 1 to 20 characters.
resourceGroupListarray<string>noResource group ID list of the SSL VPN user group. Resource group can be created using 'Create SSL VPN resource group' interface, and Resource group ID can be obtained from 'Get resource group list for SSL VPN server' interface.
json
// omada_call_operation
{
  "operationId": "createSslVpnUserGroup",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43003 - The number of user groups has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

deleteSslVpnUserGroup ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups/{id}

Delete SSL VPN user group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesUser group ID
json
// omada_call_operation
{
  "operationId": "deleteSslVpnUserGroup",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43015 - Failed to delete this group because it is used for RADIUS authentication in SSL VPN server.
-43016 - Failed to delete this group because it is used for LDAP authentication in SSL VPN server.

modifySslVpnUserGroup ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups/{id}

Modify SSL VPN user group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesUser group ID

Request body — application/json (required) — schema SslVpnUserGroupModifyOpenApiVO

FieldTypeRequiredDescription
radiusAttributestringnoAttribute value used for radius authentication. It should contain 1 to 20 characters.
ldapAttributestringnoAttribute value used for LDAP authentication. It should contain 1 to 20 characters.
resourceGroupListarray<string>noResource group ID list of the SSL VPN user group. Resource group can be created using 'Create SSL VPN resource group' interface, and Resource group ID can be obtained from 'Get resource group list for SSL VPN server' interface.
json
// omada_call_operation
{
  "operationId": "modifySslVpnUserGroup",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

getGridSslVpnUserInGroup ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/usergroups/{userGroupId}/users

Deprecated

This operation is deprecated.

Get SSL VPN user list in group.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
userGroupIdpathstringyesUser Group Id
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSslVpnUserInGroup",
  "params": {
    "siteId": "<siteId>",
    "userGroupId": "<userGroupId>"
  }
}
Details, permissions and error codes

Get SSL VPN user list in group. This interface has been deprecated. Please use the following interfaces instead: Get SSL VPN user list in group V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridSslVpnServerUser ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users

Deprecated

This operation is deprecated.

Get user list for SSL VPN server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSslVpnServerUser",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get user list for SSL VPN server. This interface has been deprecated. Please use the following interfaces instead: Get VPN user list V2 or Get user list by VPN server ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createSslVpnUser ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users

Create SSL VPN user

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SslVpnUserConfigOpenApiVO

FieldTypeRequiredDescription
groupIdstringnoGroup ID of the SSL VPN user. User group can be created using 'Create SSL VPN user group' interface, and User Group ID can be obtained from 'Get user group list for SSL VPN server' interface.
namestringyesName of the SSL VPN user should contain 1 to 20 characters.
statusbooleanyesStatus of the SSL VPN user
passwordstringyesPassword of the SSL VPN user should contain 1 to 64 characters.
validitystringyesValidity of the SSL VPN user. The format is Month/Day/Year, for example 08/20/2022
concurrentNumberintegeryesConcurrent number of the SSL VPN user should be within the range of 1–100
json
// omada_call_operation
{
  "operationId": "createSslVpnUser",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Create VPN user V3.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43002 - The number of users has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

deleteSslVpnUser ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users/{id}

Delete SSL VPN user

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesUser ID
json
// omada_call_operation
{
  "operationId": "deleteSslVpnUser",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Delete VPN user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifySslVpnUser ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users/{id}

Modify SSL VPN user

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesUser ID

Request body — application/json (required) — schema SslVpnUserModifyOpenApiVO

FieldTypeRequiredDescription
groupIdstringnoGroup ID of the SSL VPN user. User group can be created using 'Create SSL VPN user group' interface, and User Group ID can be obtained from 'Get user group list for SSL VPN server' interface.
statusbooleanyesStatus of the SSL VPN user
passwordstringyesPassword of the SSL VPN user should contain 1 to 64 characters.
validitystringyesValidity of the SSL VPN user. The format is Month/Day/Year, for example 08/20/2022
concurrentNumberintegeryesConcurrent number of the SSL VPN user. It should be within the range of 1–100.
json
// omada_call_operation
{
  "operationId": "modifySslVpnUser",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Modify VPN user V3.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.

getGridSslVpnUserInGroupV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/usergroups/{userGroupId}/users

Get SSL VPN user list in group V2.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
userGroupIdpathstringyesUser Group Id
searchKeyquerystringnoFuzzy query parameters, support field user name.
sorts.usernamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effectuser name.
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSslVpnUserInGroupV2",
  "params": {
    "siteId": "<siteId>",
    "userGroupId": "<userGroupId>"
  }
}
Details, permissions and error codes

Get SSL VPN user list in group V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.